Create Tool
curl --request POST \
--url https://api.peachdeskai.com/api/v1/tools/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"definition": {
"type": "http_api",
"config": {
"method": "<string>",
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"required": true
}
],
"preset_parameters": [
{
"name": "<string>",
"type": "<string>",
"value_template": "<string>",
"required": true
}
],
"timeout_ms": 5000,
"customMessage": "<string>",
"customMessageRecordingId": "<string>"
},
"schema_version": 1
},
"description": "<string>",
"category": "http_api",
"icon": "globe",
"icon_color": "<string>"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/tools/"
payload = {
"name": "<string>",
"definition": {
"type": "http_api",
"config": {
"method": "<string>",
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"required": True
}
],
"preset_parameters": [
{
"name": "<string>",
"type": "<string>",
"value_template": "<string>",
"required": True
}
],
"timeout_ms": 5000,
"customMessage": "<string>",
"customMessageRecordingId": "<string>"
},
"schema_version": 1
},
"description": "<string>",
"category": "http_api",
"icon": "globe",
"icon_color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
definition: {
type: 'http_api',
config: {
method: '<string>',
url: '<string>',
headers: {},
credential_uuid: '<string>',
parameters: [{name: '<string>', type: '<string>', description: '<string>', required: true}],
preset_parameters: [
{name: '<string>', type: '<string>', value_template: '<string>', required: true}
],
timeout_ms: 5000,
customMessage: '<string>',
customMessageRecordingId: '<string>'
},
schema_version: 1
},
description: '<string>',
category: 'http_api',
icon: 'globe',
icon_color: '<string>'
})
};
fetch('https://api.peachdeskai.com/api/v1/tools/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/tools/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'definition' => [
'type' => 'http_api',
'config' => [
'method' => '<string>',
'url' => '<string>',
'headers' => [
],
'credential_uuid' => '<string>',
'parameters' => [
[
'name' => '<string>',
'type' => '<string>',
'description' => '<string>',
'required' => true
]
],
'preset_parameters' => [
[
'name' => '<string>',
'type' => '<string>',
'value_template' => '<string>',
'required' => true
]
],
'timeout_ms' => 5000,
'customMessage' => '<string>',
'customMessageRecordingId' => '<string>'
],
'schema_version' => 1
],
'description' => '<string>',
'category' => 'http_api',
'icon' => 'globe',
'icon_color' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/tools/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"method\": \"<string>\",\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"customMessage\": \"<string>\",\n \"customMessageRecordingId\": \"<string>\"\n },\n \"schema_version\": 1\n },\n \"description\": \"<string>\",\n \"category\": \"http_api\",\n \"icon\": \"globe\",\n \"icon_color\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/tools/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"method\": \"<string>\",\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"customMessage\": \"<string>\",\n \"customMessageRecordingId\": \"<string>\"\n },\n \"schema_version\": 1\n },\n \"description\": \"<string>\",\n \"category\": \"http_api\",\n \"icon\": \"globe\",\n \"icon_color\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/tools/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"method\": \"<string>\",\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"customMessage\": \"<string>\",\n \"customMessageRecordingId\": \"<string>\"\n },\n \"schema_version\": 1\n },\n \"description\": \"<string>\",\n \"category\": \"http_api\",\n \"icon\": \"globe\",\n \"icon_color\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tool_uuid": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"status": "<string>",
"definition": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"provider_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Tool
Create a new tool.
Args: request: The tool creation request
Returns: The created tool
POST
/
api
/
v1
/
tools
/
Create Tool
curl --request POST \
--url https://api.peachdeskai.com/api/v1/tools/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"definition": {
"type": "http_api",
"config": {
"method": "<string>",
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"required": true
}
],
"preset_parameters": [
{
"name": "<string>",
"type": "<string>",
"value_template": "<string>",
"required": true
}
],
"timeout_ms": 5000,
"customMessage": "<string>",
"customMessageRecordingId": "<string>"
},
"schema_version": 1
},
"description": "<string>",
"category": "http_api",
"icon": "globe",
"icon_color": "<string>"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/tools/"
payload = {
"name": "<string>",
"definition": {
"type": "http_api",
"config": {
"method": "<string>",
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"required": True
}
],
"preset_parameters": [
{
"name": "<string>",
"type": "<string>",
"value_template": "<string>",
"required": True
}
],
"timeout_ms": 5000,
"customMessage": "<string>",
"customMessageRecordingId": "<string>"
},
"schema_version": 1
},
"description": "<string>",
"category": "http_api",
"icon": "globe",
"icon_color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
definition: {
type: 'http_api',
config: {
method: '<string>',
url: '<string>',
headers: {},
credential_uuid: '<string>',
parameters: [{name: '<string>', type: '<string>', description: '<string>', required: true}],
preset_parameters: [
{name: '<string>', type: '<string>', value_template: '<string>', required: true}
],
timeout_ms: 5000,
customMessage: '<string>',
customMessageRecordingId: '<string>'
},
schema_version: 1
},
description: '<string>',
category: 'http_api',
icon: 'globe',
icon_color: '<string>'
})
};
fetch('https://api.peachdeskai.com/api/v1/tools/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/tools/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'definition' => [
'type' => 'http_api',
'config' => [
'method' => '<string>',
'url' => '<string>',
'headers' => [
],
'credential_uuid' => '<string>',
'parameters' => [
[
'name' => '<string>',
'type' => '<string>',
'description' => '<string>',
'required' => true
]
],
'preset_parameters' => [
[
'name' => '<string>',
'type' => '<string>',
'value_template' => '<string>',
'required' => true
]
],
'timeout_ms' => 5000,
'customMessage' => '<string>',
'customMessageRecordingId' => '<string>'
],
'schema_version' => 1
],
'description' => '<string>',
'category' => 'http_api',
'icon' => 'globe',
'icon_color' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/tools/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"method\": \"<string>\",\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"customMessage\": \"<string>\",\n \"customMessageRecordingId\": \"<string>\"\n },\n \"schema_version\": 1\n },\n \"description\": \"<string>\",\n \"category\": \"http_api\",\n \"icon\": \"globe\",\n \"icon_color\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/tools/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"method\": \"<string>\",\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"customMessage\": \"<string>\",\n \"customMessageRecordingId\": \"<string>\"\n },\n \"schema_version\": 1\n },\n \"description\": \"<string>\",\n \"category\": \"http_api\",\n \"icon\": \"globe\",\n \"icon_color\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/tools/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"method\": \"<string>\",\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"customMessage\": \"<string>\",\n \"customMessageRecordingId\": \"<string>\"\n },\n \"schema_version\": 1\n },\n \"description\": \"<string>\",\n \"category\": \"http_api\",\n \"icon\": \"globe\",\n \"icon_color\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tool_uuid": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"status": "<string>",
"definition": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"provider_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Request schema for creating a tool.
Maximum string length:
255Tool definition for HTTP API tools.
- HttpApiToolDefinition
- EndCallToolDefinition
- TransferCallToolDefinition
- CalculatorToolDefinition
- McpToolDefinition
Show child attributes
Show child attributes
Maximum string length:
50Maximum string length:
7Response
Successful Response
Response schema for a tool.
Response schema for the user who created a tool.
Show child attributes
Show child attributes

